Discussion:
ics-x86 make error - make generic_x86
(too old to reply)
Tom
2011-12-08 21:26:05 UTC
Permalink
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.


host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt

make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Robert Sharp
2011-12-09 02:27:54 UTC
Permalink
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.

Change the following line in frameworks/compile/slang/Android.mk to
omit -Werror, i.e.:

(Before)

local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror

(After)

local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-09 03:06:11 UTC
Permalink
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...

============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Ron M
2011-12-09 10:58:13 UTC
Permalink
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.

This also happens for the 4.01_r1 branch - but has been fixed on the
MASTER branch of AOSP.

Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?

I am asking so that I can "diff" it, and maybe contribute a fixing
patch.


Thanks,
Ron.

P.S.:
The error I receive, in English (nice to see a german compiler.) is :

Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors

make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1



h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-09 18:39:18 UTC
Permalink
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)

updated my repo as follows...

$ curl https://dl-ssl.google.com/dl/googlesource/git-repo/repo > ~/bin/
repo
$ chmod a+x ~/bin/repo

on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS

cd to home/.../x86ICS

repo init -u git://git.android-x86.org/manifest.git -b ics-x86

repo sync

make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Ron M
2011-12-09 18:44:58 UTC
Permalink
Yes, I get it.
But I did not understand where ICS-x86 spawned from.
I am new to Android-x86 and would like to contribute to the open-
source project.

What I was saying, is that Ubuntu 10.04 is the LTS.
Ubuntu 11.10 is not supported for the official release associated with
the Galaxy Nexus official branch, as per google's ICS code release.
*HOWEVER* - Ubuntu 11.10 IS supported on the master branch.
I would expect either something similar on the android-x86 - and
volunteer to make the contribution myself - I just need a point
to start from.

Just to be clear - Yes. I should have used Ubuntu LTS I guess. But my
team and I were tragically automagically upgraded, and we're
way too busy to fall back (Sounds like a lame excuse, but that's the
real world...)

Thanks,
Ron.
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Ron M
2011-12-09 21:49:14 UTC
Permalink
Robert, thanks for your reply.
tabletx86- what I would like to know is which aosp codebase is the source
for the androidx86 project itself.
that is, compare that version to the aosp master's one, at least in term of
makefiles, and apply these changes.

my goal by the way is setting up android x86 on a dell workstation, and I
intend to implement external monitor support, assuming it is still on the
project todo list
Post by Ron M
Yes, I get it.
But I did not understand where ICS-x86 spawned from.
I am new to Android-x86 and would like to contribute to the open-
source project.
What I was saying, is that Ubuntu 10.04 is the LTS.
Ubuntu 11.10 is not supported for the official release associated with
the Galaxy Nexus official branch, as per google's ICS code release.
*HOWEVER* - Ubuntu 11.10 IS supported on the master branch.
I would expect either something similar on the android-x86 - and
volunteer to make the contribution myself - I just need a point
to start from.
Just to be clear - Yes. I should have used Ubuntu LTS I guess. But my
team and I were tragically automagically upgraded, and we're
way too busy to fall back (Sounds like a lame excuse, but that's the
real world...)
Thanks,
Ron.
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT
errors...
Post by tabletsx86
Post by Ron M
Post by tabletsx86
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle
you
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter -
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
during the make process for generic_x86 i get the following
error on a
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert
[-Werror]
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: ***
[out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-10 01:47:09 UTC
Permalink
read the manifests in repo
Post by Ron M
Robert, thanks for your reply.
tabletx86- what I would like to know is which aosp codebase is the source
for the androidx86 project itself.
that is, compare that version to the aosp master's one, at least in term of
makefiles, and apply these changes.
my goal by the way is setting up android x86 on a dell workstation, and I
intend to implement external monitor support, assuming it is still on the
project todo list
Post by Ron M
Yes, I get it.
But I did not understand where ICS-x86 spawned from.
I am new to Android-x86 and would like to contribute to the open-
source project.
What I was saying, is that Ubuntu 10.04 is the LTS.
Ubuntu 11.10 is not supported for the official release associated with
the Galaxy Nexus official branch, as per google's ICS code release.
*HOWEVER* - Ubuntu 11.10 IS supported on the master branch.
I would expect either something similar on the android-x86 - and
volunteer to make the contribution myself - I just need a point
to start from.
Just to be clear - Yes. I should have used Ubuntu LTS I guess. But my
team and I were tragically automagically upgraded, and we're
way too busy to fall back (Sounds like a lame excuse, but that's the
real world...)
Thanks,
Ron.
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT
errors...
Post by tabletsx86
Post by Ron M
Post by tabletsx86
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle
you
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter -
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
during the make process for generic_x86 i get the following
error on a
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert
[-Werror]
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: ***
[out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-10 02:04:36 UTC
Permalink
read the manifests in repo

<!-- from x86 port repositories -->
<project path="build" name="platform/build" remote="x86" revision="ics-
x86">
<copyfile src="core/root.mk" dest="Makefile"/>
</project>
.
.
.
.
<!-- from original Android repositories -->
<project path="abi/cpp" name="platform/abi/cpp"/>
<project path="bootable/bootloader/legacy" name="platform/bootable/
bootloader/legacy"/>
<project path="bootable/recovery" name="platform/bootable/recovery"/>
<project path="dalvik" name="platform/dalvik"/>
<project path="development" name="platform/development"/>
.
.
.
.
Post by Ron M
Robert, thanks for your reply.
tabletx86- what I would like to know is which aosp codebase is the source
for the androidx86 project itself.
that is, compare that version to the aosp master's one, at least in term of
makefiles, and apply these changes.
my goal by the way is setting up android x86 on a dell workstation, and I
intend to implement external monitor support, assuming it is still on the
project todo list
Post by Ron M
Yes, I get it.
But I did not understand where ICS-x86 spawned from.
I am new to Android-x86 and would like to contribute to the open-
source project.
What I was saying, is that Ubuntu 10.04 is the LTS.
Ubuntu 11.10 is not supported for the official release associated with
the Galaxy Nexus official branch, as per google's ICS code release.
*HOWEVER* - Ubuntu 11.10 IS supported on the master branch.
I would expect either something similar on the android-x86 - and
volunteer to make the contribution myself - I just need a point
to start from.
Just to be clear - Yes. I should have used Ubuntu LTS I guess. But my
team and I were tragically automagically upgraded, and we're
way too busy to fall back (Sounds like a lame excuse, but that's the
real world...)
Thanks,
Ron.
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT
errors...
Post by tabletsx86
Post by Ron M
Post by tabletsx86
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle
you
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter -
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
during the make process for generic_x86 i get the following
error on a
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert
[-Werror]
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: ***
[out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-10 06:00:22 UTC
Permalink
Ron..check your email...swap space
Post by Ron M
Robert, thanks for your reply.
tabletx86- what I would like to know is which aosp codebase is the source
for the androidx86 project itself.
that is, compare that version to the aosp master's one, at least in term of
makefiles, and apply these changes.
my goal by the way is setting up android x86 on a dell workstation, and I
intend to implement external monitor support, assuming it is still on the
project todo list
Post by Ron M
Yes, I get it.
But I did not understand where ICS-x86 spawned from.
I am new to Android-x86 and would like to contribute to the open-
source project.
What I was saying, is that Ubuntu 10.04 is the LTS.
Ubuntu 11.10 is not supported for the official release associated with
the Galaxy Nexus official branch, as per google's ICS code release.
*HOWEVER* - Ubuntu 11.10 IS supported on the master branch.
I would expect either something similar on the android-x86 - and
volunteer to make the contribution myself - I just need a point
to start from.
Just to be clear - Yes. I should have used Ubuntu LTS I guess. But my
team and I were tragically automagically upgraded, and we're
way too busy to fall back (Sounds like a lame excuse, but that's the
real world...)
Thanks,
Ron.
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT
errors...
Post by tabletsx86
Post by Ron M
Post by tabletsx86
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle
you
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter -
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall
-Wno-unused-parameter
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
during the make process for generic_x86 i get the following
error on a
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert
[-Werror]
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: ***
[out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
Post by tabletsx86
Post by Ron M
Post by tabletsx86
Post by Robert Sharp
Post by Tom
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-09 18:53:10 UTC
Permalink
"But I did not understand where ICS-x86 spawned from."

from the android-x86 git repository.......

http://git.android-x86.org/
Post by tabletsx86
when ICS-x86 released mine was setup as follows(Ubuntu 10.04 64bit)
updated my repo as follows...
$ curlhttps://dl-ssl.google.com/dl/googlesource/git-repo/repo> ~/bin/
repo
$ chmod a+x ~/bin/repo
on 12-2 changed repo to repo-1.14 in home/.. & home/.../x86ICS
cd to home/.../x86ICS
repo init -u git://git.android-x86.org/manifest.git -b ics-x86
repo sync
make -j4 iso_img TARGET_PRODUCT=tegav2 (or generic_x86)
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-10 02:13:19 UTC
Permalink
just an FYI..re Ubuntu 10.04 vs. Ubuntu 11.x

http://groups.google.com/group/android-building/browse_thread/thread/45a7a95c01fd7769#
Post by Ron M
Yeah, it is an ubuntu-11.10, or more precisely GCC4.6 issue.
I am also seeing it - but I cannot downgrade, unfortunately.
This also happens for the 4.01_r1 branch  - but has been fixed on the
MASTER branch of AOSP.
Can anyone please give some information on how the current x86-branch
(I synced yesterday) was created? i.e. from which specific AOSP
version / tag/ branch, etc.?
I am asking so that I can "diff" it, and maybe contribute a fixing
patch.
Thanks,
Ron.
Host TableGen: vdc (gen-clang-stmt-nodes) <= external/clang/include/
clang/Basic/StmtNodes.td
Building Clang Driver Option tables with tblgen
Host TableGen: vdc (gen-opt-parser-defs) <= external/clang/include/
clang/Driver/Options.td
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<command-line>:0:0: error: "_FORTIFY_SOURCE" redefined [-Werror]
<built-in>:0:0: note: this is the location of the previous definition
cc1plus: all warnings being treated as errors
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Error 1
h
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Robert Sharp
2011-12-09 19:10:10 UTC
Permalink
I managed to create a successful build on Oneric 11.11, via the
removal of that "-Werror" argument in frameworks/compile/slang/
Android.mk

However there were a couple of "minor" things I changed first which
may or may not have had any effect.

As best as I can tell from comments in the source code, there were
some past tweaks in the source code, for major Ubuntu releases that
apparently broke and/or threw compilation errors in the past, anyway
at least some of these past problems may actually not be applicable
now in 11.x, or I should say, what you have implemented is now the
default behavior, rendering some of those tweaks to be unneccesary and
very noisy on the console as it builds now.

I suppose I will run through it again from the top (including actually
documenting whats necessary to set up the build environment) and
verify whether the other changes mattered or not - however that's kind
of a secondary concern to actually playing around with the Android
source and working on driver functionality for my device now.

-R
Post by tabletsx86
agree with Robert as I have compiled on Ubuntu 10.04 WITHOUT errors...
============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.0.1
TARGET_PRODUCT=generic_x86
TARGET_BUILD_VARIANT=eng
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=x86
TARGET_ARCH_VARIANT=x86
HOST_ARCH=x86
HOST_OS=linux
HOST_BUILD_TYPE=release
BUILD_ID=ITL41D
============================================
Post by Robert Sharp
You are likely to encounter other compile errors in 11.x, that you
would not encounter compiling in 10.04. For this particular hurdle you
could try the following.
Change the following line in frameworks/compile/slang/Android.mk to
(Before)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter -
Werror
(After)
local_cflags_for_slang := -Wno-sign-promo -Wall -Wno-unused-parameter
Post by Tom
during the make process for generic_x86 i get the following error on a
ubuntu 11 64bit box.
host C++: llvm-rs-cc <= frameworks/compile/slang/llvm-rs-cc.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen
Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/EXECUTABLES/llvm-rs-cc_intermediates/
llvm-rs-cc.o] Fehler 1
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Tom
2011-12-10 20:41:46 UTC
Permalink
## 2. Error

<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen Definition
cc1plus: Alle Warnungen werden als Fehler behandelt

make: ***
[out/host/linux-x86/obj/STATIC_LIBRARIES/libbccExecutionEngine_intermediates/Compiler.o]
Fehler 1

-------
I changed the following file: frameworks/compile/libbcc/libbcc-config.mk
- libbcc_CFLAGS := -Wall -Wno-unused-parameter -Werror
+ libbcc_CFLAGS := -Wall -Wno-unused-parameter

## 3. Error
host C++: libbcinfo <=
frameworks/compile/libbcc/bcinfo/BitcodeTranslator.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen Definition
cc1plus: Alle Warnungen werden als Fehler behandelt

make: ***
[out/host/linux-x86/obj/SHARED_LIBRARIES/libbcinfo_intermediates/BitcodeTranslator.o]
Fehler 1
--------
I changed the following file: frameworks/compile/libbcc/bcinfo/Android.mk
- local_cflags_for_libbcinfo := -Wall -Wno-unused-parameter -Werror
+ local_cflags_for_libbcinfo := -Wall -Wno-unused-parameter
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To view this discussion on the web visit https://groups.google.com/d/msg/android-x86/-/0mpRY3GBwhEJ.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Tom
2011-12-10 22:11:07 UTC
Permalink
## 4.Error
host C++: obbtool <= frameworks/base/tools/obbtool/Main.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen Definition
cc1plus: Alle Warnungen werden als Fehler behandelt

make: *** [out/host/linux-x86/obj/EXECUTABLES/obbtool_intermediates/Main.o]
Fehler 1

--------
I changed the following file:frameworks/base/tools/obbtool/Android.mk
2 times in line 16 and 37
- LOCAL_CFLAGS := -Wall -Werror
+ LOCAL_CFLAGS := -Wall
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To view this discussion on the web visit https://groups.google.com/d/msg/android-x86/-/EgbxP3DeZ5gJ.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Yi Sun
2011-12-10 22:45:35 UTC
Permalink
My 2cents ...
I think blindly taking out of -Werror is not a good way to go. We should
either fix the code or disable the individual warning.
Yi
Post by Tom
## 4.Error
host C++: obbtool <= frameworks/base/tools/obbtool/Main.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: ***
[out/host/linux-x86/obj/EXECUTABLES/obbtool_intermediates/Main.o] Fehler 1
--------
I changed the following file:frameworks/base/tools/obbtool/Android.mk
2 times in line 16 and 37
- LOCAL_CFLAGS := -Wall -Werror
+ LOCAL_CFLAGS := -Wall
--
You received this message because you are subscribed to the Google
Groups "Android-x86" group.
To view this discussion on the web visit
https://groups.google.com/d/msg/android-x86/-/EgbxP3DeZ5gJ.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Ron M
2011-12-11 08:17:03 UTC
Permalink
I agree. does anyone know what Google does in aosp master branch?
Post by Yi Sun
My 2cents ...
I think blindly taking out of -Werror is not a good way to go. We should
either fix the code or disable the individual warning.
Yi
Post by Tom
## 4.Error
host C++: obbtool <= frameworks/base/tools/obbtool/**Main.cpp
<Kommandozeile>:0:0: Fehler: »_FORTIFY_SOURCE« redefiniert [-Werror]
<eingebaut>:0:0: Anmerkung: dies ist die Stelle der vorherigen Definition
cc1plus: Alle Warnungen werden als Fehler behandelt
make: *** [out/host/linux-x86/obj/**EXECUTABLES/obbtool_**intermediates/Main.o]
Fehler 1
--------
I changed the following file:frameworks/base/tools/**obbtool/Android.mk
2 times in line 16 and 37
- LOCAL_CFLAGS := -Wall -Werror
+ LOCAL_CFLAGS := -Wall
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To view this discussion on the web visit https://groups.google.com/d/**
msg/android-x86/-/EgbxP3DeZ5gJ<https://groups.google.com/d/msg/android-x86/-/EgbxP3DeZ5gJ>
**.
For more options, visit this group at http://groups.google.com/**
group/android-x86?hl=en<http://groups.google.com/group/android-x86?hl=en>
.
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
For more options, visit this group at http://groups.google.com/**
group/android-x86?hl=en <http://groups.google.com/group/android-x86?hl=en>
.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Chih-Wei Huang
2011-12-11 16:29:10 UTC
Permalink
I have no time to check.
But it's easy to be found from the git log.
Post by Ron M
I agree. does anyone know what Google does in aosp master branch?
Post by Yi Sun
My 2cents ...
I think blindly taking out of -Werror is not a good way to go. We should
either fix the code or disable the individual warning.
Scott McKenzie
2011-12-11 14:27:53 UTC
Permalink
Try this patch:
https://github.com/cgjones/android-build/pull/1/files

I know it's for gingerbread but it works for ics as well. You can
then turn -Werror back on.
Ron M
2011-12-12 12:46:18 UTC
Permalink
Chi-Wei - can you please explain where did you spread off AOSP for the
ICS project?
Try this patch:https://github.com/cgjones/android-build/pull/1/files
I know it's for gingerbread but it works for ics as well.  You can
then turn -Werror back on.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-12 13:50:29 UTC
Permalink
isn't it documented here??? Google AOSP being the master...

http://www.android-x86.org/getsourcecode

The branches in Android-x86 tree

Since AOSP evolves very quickly, we have created different branches
corresponding to different releases of AOSP:

android-x86-v0.9 (obsolete)
Based on Android 1.5 release (Cupcake).
donut-x86
Based on Android 1.6 release (Donut).
eclair-x86
Based on Android 2.1 release (Eclair).
froyo-x86
Based on Android 2.2 release (Froyo).
gingerbread-x86
Based on Android 2.3 release (Gingerbread).
honeycomb-x86
Based on Android 3.2 release (Honeycomb).
ics-x86
Based on Android 4.0 release (Ice Cream Sandwich).
Post by Ron M
Chi-Wei - can you please explain where did you spread off AOSP for the
ICS project?
Try this patch:https://github.com/cgjones/android-build/pull/1/files
I know it's for gingerbread but it works for ics as well.  You can
then turn -Werror back on.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Ron M
2011-12-12 14:09:56 UTC
Permalink
Well, I suppose my question would be how an AOSP project is used to create
an android-x86 project.
Some repo branch/git tags must be used as a start point I suppose, and the
android-x86.org says "dont' use master - it evolves too fast".
Post by tabletsx86
isn't it documented here??? Google AOSP being the master...
http://www.android-x86.org/getsourcecode
The branches in Android-x86 tree
Since AOSP evolves very quickly, we have created different branches
android-x86-v0.9 (obsolete)
Based on Android 1.5 release (Cupcake).
donut-x86
Based on Android 1.6 release (Donut).
eclair-x86
Based on Android 2.1 release (Eclair).
froyo-x86
Based on Android 2.2 release (Froyo).
gingerbread-x86
Based on Android 2.3 release (Gingerbread).
honeycomb-x86
Based on Android 3.2 release (Honeycomb).
ics-x86
Based on Android 4.0 release (Ice Cream Sandwich).
Post by Ron M
Chi-Wei - can you please explain where did you spread off AOSP for the
ICS project?
Try this patch:https://github.com/cgjones/android-build/pull/1/files
I know it's for gingerbread but it works for ics as well. You can
then turn -Werror back on.
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+unsubscribe-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-12 15:34:11 UTC
Permalink
http://source.android.com/faqs.html

http://source.android.com/source/code-lines.html

answers are out there...google is you friend...
Post by Ron M
Well, I suppose my question would be how an AOSP project is used to create
an android-x86 project.
Some  repo branch/git tags must be used as a start point I suppose, and the
android-x86.org says "dont' use master - it evolves too fast".
Post by tabletsx86
isn't it documented here??? Google AOSP being the master...
http://www.android-x86.org/getsourcecode
The branches in Android-x86 tree
Since AOSP evolves very quickly, we have created different branches
   android-x86-v0.9 (obsolete)
   Based on Android 1.5 release (Cupcake).
   donut-x86
   Based on Android 1.6 release (Donut).
   eclair-x86
   Based on Android 2.1 release (Eclair).
   froyo-x86
   Based on Android 2.2 release (Froyo).
   gingerbread-x86
   Based on Android 2.3 release (Gingerbread).
   honeycomb-x86
   Based on Android 3.2 release (Honeycomb).
   ics-x86
   Based on Android 4.0 release (Ice Cream Sandwich).
Post by Ron M
Chi-Wei - can you please explain where did you spread off AOSP for the
ICS project?
Try this patch:https://github.com/cgjones/android-build/pull/1/files
I know it's for gingerbread but it works for ics as well.  You can
then turn -Werror back on.
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
tabletsx86
2011-12-12 15:41:24 UTC
Permalink
answers are out there...google is your friend...

http://source.android.com/faqs.html

http://source.android.com/source/code-lines.html

http://source.android.com/source/version-control.html

http://source.android.com/source/initializing.html
Post by Ron M
Well, I suppose my question would be how an AOSP project is used to create
an android-x86 project.
Some  repo branch/git tags must be used as a start point I suppose, and the
android-x86.org says "dont' use master - it evolves too fast".
Post by tabletsx86
isn't it documented here??? Google AOSP being the master...
http://www.android-x86.org/getsourcecode
The branches in Android-x86 tree
Since AOSP evolves very quickly, we have created different branches
   android-x86-v0.9 (obsolete)
   Based on Android 1.5 release (Cupcake).
   donut-x86
   Based on Android 1.6 release (Donut).
   eclair-x86
   Based on Android 2.1 release (Eclair).
   froyo-x86
   Based on Android 2.2 release (Froyo).
   gingerbread-x86
   Based on Android 2.3 release (Gingerbread).
   honeycomb-x86
   Based on Android 3.2 release (Honeycomb).
   ics-x86
   Based on Android 4.0 release (Ice Cream Sandwich).
Post by Ron M
Chi-Wei - can you please explain where did you spread off AOSP for the
ICS project?
Try this patch:https://github.com/cgjones/android-build/pull/1/files
I know it's for gingerbread but it works for ics as well.  You can
then turn -Werror back on.
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group, send email to
For more options, visit this group at
http://groups.google.com/group/android-x86?hl=en.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Chih-Wei Huang
2011-12-12 17:06:25 UTC
Permalink
Well, I suppose my question would be how an AOSP project is used to create an android-x86 project.
Some repo branch/git tags must be used as a start point I suppose, and the android-x86.org says "dont' use master - it evolves too fast".
I suppose you asked the ics-x86 branch.
If you read the git log or manifest.xml, you should
find the answer easily: android-4.0.1_r1.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To post to this group, send email to android-x86-/JYPxA39Uh5TLH3MbocFF+G/***@public.gmane.org
To unsubscribe from this group, send email to android-x86+***@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/android-x86?hl=en.
Continue reading on narkive:
Loading...